"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkspaceModule = void 0;
const tslib_1 = require("tslib");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const common_1 = require("../common");
const workspace_contribution_1 = require("./workspace-contribution");
const workspace_preferences_1 = require("./workspace-preferences");
const workspace_service_1 = require("./workspace-service");
const workspace_storage_service_1 = require("./workspace-storage-service");
const workspace_variable_contribution_1 = require("./workspace-variable-contribution");
const pkgJson = require('../../package.json');
let WorkspaceModule = class WorkspaceModule extends ide_core_browser_1.BrowserModule {
    constructor() {
        super(...arguments);
        this.providers = [
            {
                token: common_1.IWorkspaceService,
                useClass: workspace_service_1.WorkspaceService,
            },
            {
                token: common_1.IWorkspaceStorageService,
                useClass: workspace_storage_service_1.WorkspaceStorageService,
            },
            workspace_contribution_1.WorkspaceContribution,
            workspace_variable_contribution_1.WorkspaceVariableContribution,
        ];
        this.preferences = workspace_preferences_1.injectWorkspacePreferences;
    }
};
WorkspaceModule = tslib_1.__decorate([
    (0, ide_core_browser_1.Domain)(pkgJson.name)
], WorkspaceModule);
exports.WorkspaceModule = WorkspaceModule;
//# sourceMappingURL=index.js.map