"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.injectWorkspacePreferences = exports.createWorkspacePreferencesProvider = exports.WorkspacePreferences = exports.workspacePreferenceSchema = void 0;
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
exports.workspacePreferenceSchema = {
    type: 'object',
    properties: {
        'workspace.preserveWindow': {
            description: 'Enable opening workspaces in current window',
            type: 'boolean',
            default: false,
        },
        'workspace.supportMultiRootWorkspace': {
            description: 'Enable the multi-root workspace support to test this feature internally',
            type: 'boolean',
            default: false,
        },
    },
};
exports.WorkspacePreferences = Symbol('WorkspacePreferences');
function createWorkspacePreferencesProvider(inject) {
    return {
        token: exports.WorkspacePreferences,
        useFactory: () => {
            const preferences = inject.get(ide_core_browser_1.PreferenceService);
            return (0, ide_core_browser_1.createPreferenceProxy)(preferences, exports.workspacePreferenceSchema);
        },
    };
}
exports.createWorkspacePreferencesProvider = createWorkspacePreferencesProvider;
function injectWorkspacePreferences(inject) {
    inject.addProviders(createWorkspacePreferencesProvider(inject));
}
exports.injectWorkspacePreferences = injectWorkspacePreferences;
//# sourceMappingURL=workspace-preferences.js.map