"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkspaceStorageService = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const services_1 = require("@opensumi/ide-core-browser/lib/services");
const common_1 = require("../common");
/*
 * 为存在 Browser (LocalStorage) 的数据添加命名空间
 * @Deprecated
 */
let WorkspaceStorageService = class WorkspaceStorageService {
    constructor() {
        this.init();
    }
    init() {
        this.initialized = this.workspaceService.roots.then(() => {
            this.updatePrefix();
            this.workspaceService.onWorkspaceLocationChanged(() => this.updatePrefix());
        });
    }
    async setData(key, data) {
        if (!this.prefix) {
            await this.initialized;
        }
        const fullKey = this.prefixWorkspaceURI(key);
        return this.globalStorageService.setData(fullKey, data);
    }
    async getData(key, defaultValue) {
        await this.initialized;
        const fullKey = this.prefixWorkspaceURI(key);
        return this.globalStorageService.getData(fullKey, defaultValue);
    }
    async removeData(key) {
        await this.initialized;
        const fullKey = this.prefixWorkspaceURI(key);
        return this.globalStorageService.removeData(fullKey);
    }
    prefixWorkspaceURI(originalKey) {
        return `${this.prefix}:${originalKey}`;
    }
    getPrefix(workspaceStat) {
        return workspaceStat ? workspaceStat.uri : '_global_';
    }
    updatePrefix() {
        this.prefix = this.getPrefix(this.workspaceService.workspace);
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(services_1.GlobalBrowserStorageService),
    tslib_1.__metadata("design:type", services_1.GlobalBrowserStorageService)
], WorkspaceStorageService.prototype, "globalStorageService", void 0);
tslib_1.__decorate([
    (0, di_1.Autowired)(common_1.IWorkspaceService),
    tslib_1.__metadata("design:type", Object)
], WorkspaceStorageService.prototype, "workspaceService", void 0);
WorkspaceStorageService = tslib_1.__decorate([
    (0, di_1.Injectable)(),
    tslib_1.__metadata("design:paramtypes", [])
], WorkspaceStorageService);
exports.WorkspaceStorageService = WorkspaceStorageService;
//# sourceMappingURL=workspace-storage-service.js.map