import { Emitter, URI } from '@opensumi/ide-core-common';
import { FileStat } from '@opensumi/ide-file-service';
import { IWorkspaceService } from '../../common';
export declare class MockWorkspaceService implements IWorkspaceService {
    private _roots;
    private _workspace;
    isMultiRootWorkspaceOpened: boolean;
    whenReady: Promise<void>;
    private deferredRoots;
    constructor();
    init(): Promise<void>;
    initFileServiceExclude(): Promise<void>;
    setWorkspace(workspaceStat?: FileStat | undefined): Promise<void>;
    updateWorkspace(workspaceStat?: FileStat | undefined): Promise<void>;
    containsSome(paths: string[]): Promise<boolean>;
    get roots(): Promise<FileStat[]>;
    get workspace(): FileStat | undefined;
    tryGetRoots(): FileStat[];
    protected updateRoots(workspaceStat?: FileStat | undefined): Promise<void>;
    _onWorkspaceChanged: Emitter<FileStat[]>;
    onWorkspaceChanged: import("@opensumi/ide-core-common").Event<FileStat[]>;
    _onWorkspaceLocationChanged: Emitter<FileStat | undefined>;
    onWorkspaceLocationChanged: import("@opensumi/ide-core-common").Event<FileStat | undefined>;
    _onWorkspaceFileExcludeChangeEmitter: Emitter<void>;
    onWorkspaceFileExcludeChanged: import("@opensumi/ide-core-common").Event<void>;
    setMostRecentlyUsedWorkspace(): Promise<void>;
    getMostRecentlyUsedWorkspace(): Promise<string>;
    getMostRecentlyUsedWorkspaces(): Promise<string[]>;
    getMostRecentlyUsedCommands(): Promise<string[]>;
    setMostRecentlyUsedCommand(commandId: string): Promise<void>;
    setMostRecentlyOpenedFile(uri: string): Promise<void>;
    getMostRecentlyOpenedFiles(): Promise<string[] | undefined>;
    setMostRecentlySearchWord(word: string | string[]): Promise<void>;
    getMostRecentlySearchWord(): Promise<string[] | undefined>;
    removeRoots(uri: URI[]): Promise<void>;
    spliceRoots(start: number, deleteCount?: number | undefined, workspaceName?: {
        [key: string]: string;
    }, ...rootsToAdd: URI[]): Promise<URI[]>;
    asRelativePath(pathOrUri: string | URI, includeWorkspaceFolder?: boolean | undefined): Promise<{
        path?: string;
        root?: string;
    } | undefined>;
    getWorkspaceRootUri(uri: URI | undefined): URI | undefined;
    getWorkspaceName(uri: URI): string;
    isMultiRootWorkspaceEnabled: boolean;
}
//# sourceMappingURL=workspace-service.d.ts.map