import { StorageService } from '@opensumi/ide-core-browser/lib/services';
import { Event, URI } from '@opensumi/ide-core-common';
import { FileStat } from '@opensumi/ide-file-service';
export interface WorkspaceInput {
    /**
     * 判断是否复用相同窗口
     */
    preserveWindow?: boolean;
}
export declare const IWorkspaceService: unique symbol;
export interface IWorkspaceService {
    roots: Promise<FileStat[]>;
    workspace: FileStat | undefined;
    isMultiRootWorkspaceOpened: boolean;
    whenReady: Promise<void>;
    containsSome(paths: string[]): Promise<boolean>;
    tryGetRoots(): FileStat[];
    onWorkspaceChanged: Event<FileStat[]>;
    /**
     * 工作区的 files.exclude 配置发生变化
     */
    onWorkspaceFileExcludeChanged: Event<void>;
    /**
     * 操作中的工作区改变事件
     * 如：用户添加目录到当前workspace中触发
     */
    onWorkspaceLocationChanged: Event<FileStat | undefined>;
    getMostRecentlyUsedCommands(): Promise<string[]>;
    setMostRecentlyUsedCommand(commandId: string): Promise<void>;
    getMostRecentlyUsedWorkspaces(): Promise<string[]>;
    getMostRecentlyUsedWorkspace(): Promise<string | undefined>;
    setMostRecentlyUsedWorkspace(uri: string): Promise<void>;
    spliceRoots(start: number, deleteCount?: number, workspaceToName?: {
        [key: string]: string;
    }, ...rootsToAdd: URI[]): Promise<URI[]>;
    removeRoots(roots: URI[]): Promise<void>;
    asRelativePath(pathOrUri: string | URI, includeWorkspaceFolder?: boolean): Promise<{
        path?: string;
        root?: string;
    } | undefined>;
    getWorkspaceRootUri(uri: URI | undefined): URI | undefined;
    getWorkspaceName(uri: URI): string;
    isMultiRootWorkspaceEnabled: boolean;
    setWorkspace(workspaceStat: FileStat | undefined): Promise<void>;
    initFileServiceExclude(): Promise<void>;
}
export declare const IWorkspaceStorageService: unique symbol;
export type IWorkspaceStorageService = StorageService;
//# sourceMappingURL=workspace.interface.d.ts.map